:root {
    --hijau: #539165;
    --kuning: #f7c04a;
    --ungu: #3f497f;
    --cream: #f8f5e4;
    --gold: #ffd700;
}

.ct-pg-galery {
    width: 100%;
}
.ct-pg-galery .hero {
    width: 100%;
    display: flex;
    height: 300px;
    padding: 30px 20px;
    flex-direction: column;
    object-fit: cover;
    align-items: center;
    justify-content: center;
    text-align: center;
    background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)),
        url("/img/makkah.jpg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.ct-pg-galery .hero > h1 {
    color: var(--gold);
    font-weight: 600;
    text-shadow: 0 1px 0 rgba(255, 255, 255, 0);
}

.ct-pg-galery .hero > h5 {
    color: white;
    font-weight: 500;
}

.ct-pg-galery .ct-galery-group {
    padding: 30px 20px;
}
.ct-galery-group {
    width: 100%;
    height: auto;
    display: flex;
    justify-content: center;
    flex-direction: column;
}
.ct-video {
    width: 100%;
    display: flex;
    justify-content: center;
    margin-bottom: 20px;
}
.ct-video .video-pg {
    position: relative;
    max-width: 850px;
    width: 100%;
    padding: 20px 0;
    border-radius: 10px;
    background-color: whitesmoke;
    overflow: hidden;
    border: 2px solid var(--kuning);
    box-shadow: 0 4px 5px 0 rgba(0, 0, 0, 0.3);
}

.video-pg .vid-pg {
    display: flex;
    flex-direction: row;
}

.vid-pg .v-slide-pg {
    display: flex;
    align-items: center;
    justify-content: center;
}
.v-slide-pg iframe {
    width: 768px;
    height: 432px;
}

.nav-btn {
    height: 40px;
    width: 40px;
    border-radius: 50%;
    transform: translateY(20px);
    background-color: rgba(0, 0, 0, 0.1);
    transition: 0.2s;
}

.nav-btn::hover {
    background-color: rgba(0, 0, 0, 0.1);
}

.nav-btn::after,
.nav-btn::before {
    font-size: 20px;
    color: white;
}

.swiper-pagination-bullet {
    background-color: rgba(0, 0, 0, 0.8);
}

.swiper-pagination-bullet-active {
    background-color: blue;
}

.foto {
    width: 100%;
    height: 220px;
    margin: auto;
    position: relative;
    display: grid;
    place-items: center;
    overflow: hidden;
    border-radius: 5px;
    box-shadow: 0 4px 5px 0 rgba(0, 0, 0, 0.3);
}

.slide-foto {
    display: flex;
    width: calc(250px * 18);
    animation: scroll 40s linear infinite;
}
.slide-foto:hover {
    animation-play-state: paused;
}

@keyframes scroll {
    0% {
        transform: translateX(0);
    }
    100% {
        transform: translateX(calc(-250px * 9));
    }
}

.slide-foto .slide-f {
    height: 200px;
    width: 250px;
    display: flex;
    align-items: center;
    padding: 15px;
    perspective: 100px;
}

.slide-foto .slide-f img {
    width: 100%;
    transition: transform 1s;
    box-shadow: 0 4px 5px 0 rgba(0, 0, 0, 0.3);
}
.slide-foto .slide-f img:hover {
    transform: translateZ(20px);
}

.foto::before,
.foto::after {
    background: linear-gradient(
        to right,
        rgba(255, 255, 255, 1) 0%,
        /* rgba(255, 215, 0, 1) 0%, */ rgba(0, 0, 0, 0) 100%
    );
    content: "";
    height: 100%;
    position: absolute;
    width: 10%;
    z-index: 2;
}

.foto::before {
    left: 0;
    top: 0;
}
.foto::after {
    right: 0;
    top: 0;
    transform: rotateZ(180deg);
}

/* Media Query  */

@media screen and (max-width: 480px) {
    .ct-video {
        height: 280px;
    }

    .v-slide-pg iframe {
        max-width: 100%;
        max-height: 100%;
    }
    .foto {
        height: 250px;
    }
    .slide-foto .slide-f {
        height: 250px;
    }
}
@media screen and (min-width: 481px) and (max-width: 768px) {
}
@media screen and (min-width: 769px) and (max-width: 1024px) {
}
